Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/cadaver: new aport

From: ScrumpyJack <scrumpyjack_at_me.com>
Date: Mon, 16 Feb 2015 13:30:11 +0000 (GMT)

If my mailer sends as flowed text or otherwise muddles with the body of
this email, here is also a sprunge of the patch

http://sprunge.us/cRPB

---
http://webdav.org/cadaver/
Cadaver is a command line webDAV client for Linux
---
 testing/cadaver/APKBUILD | 44 
++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/cadaver/APKBUILD
diff --git a/testing/cadaver/APKBUILD b/testing/cadaver/APKBUILD
new file mode 100644
index 0000000..16e493b
--- /dev/null
+++ b/testing/cadaver/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: ScrumpyJack <scrumpyjack_at_me.com>
+# Maintainer:
+pkgname=cadaver
+pkgver=0.23.3
+pkgrel=0
+pkgdesc="Cadaver is a command line webDAV client for Linux"
+url="http://webdav.org/cadaver/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="gettext-dev libproxy-dev openssl-dev"
+install=""
+subpackages="$pkgname-lang $pkgname-doc"
+source="http://webdav.org/cadaver/${pkgname}-${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure \
+        --prefix=/usr \
+        --with-ssl=openssl \
+        || return 1
+        make
+}
+
+package() {
+	cd "$_builddir"
+        make prefix=$pkgdir/usr install
+}
+
+md5sums="502ecd601e467f8b16056d2acca39a6f  cadaver-0.23.3.tar.gz"
+sha256sums="fd4ce68a3230ba459a92bcb747fc6afa91e46d803c1d5ffe964b661793c13fca  cadaver-0.23.3.tar.gz"
+sha512sums="48fe0a266be0ca7239f325377e5e2a8dc57a5d60466c7160e36c060ad24c09a50727695b9fa931844b1e66e173ebbb838f390d6c60fd07b614bd3b636cd4dd41  cadaver-0.23.3.tar.gz"
-- 
best wishes
nicholas
Not sent from a tablet or smartphone.
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Feb 16 2015 - 13:30:11 GMT